from wtforms.fields.html5 import DecimalField
from wtforms import SubmitField
from wtforms.widgets import html5 
from wtforms import widgets 

class MyField(DecimalField):
    def __init__(self, label=None, md=None, **kwargs):
        super(DecimalField, self).__init__(label, **kwargs)
        self.widget = html5.NumberInput()
        if md:
            self.widget.min = md.get("minValue", None)
            self.widget.max = md.get("maxValue", None)
            self.widget.step = md.get("step", None)

class ButtonField(SubmitField):
    def __init__(self, label=None, **kwargs):
        super(SubmitField, self).__init__(label, **kwargs)
        self.widget = widgets.SubmitInput()
        self.widget.input_type = "button"
